Subject: linux-next: build failure after merge of the drm-xe tree

From: Mark Brown <[email-masked]>
Date: Wed, 3 Jun 2026 15:02:08 +0100

Hi all,

After merging the drm-xe tree, today's linux-next build (x86_64
allmodconfig) failed.  Unfortunately I fat fingered things and deleted
the logs, assuming the issue remains I'll report proprely tomorrow.  I'm
fairly sure the issue was due to:

  5ff004fdc7377 (drm/xe/rtp: Add struct types for RTP tables)

with some of the fields in rtp_to_sr_cases[] haiving non-const values.
Sorry about the lack of clarity here.

I have merged the version from next-20260602 instead.